---
sidebar_label: TargetType
---

# TargetType enum

#### Signature:

```typescript
export declare enum TargetType
```

## Enumeration Members

| Member          | Value                                    | Description |
| --------------- | ---------------------------------------- | ----------- |
| BACKGROUND_PAGE | <code>&quot;background_page&quot;</code> |             |
| BROWSER         | <code>&quot;browser&quot;</code>         |             |
| OTHER           | <code>&quot;other&quot;</code>           |             |
| PAGE            | <code>&quot;page&quot;</code>            |             |
| SERVICE_WORKER  | <code>&quot;service_worker&quot;</code>  |             |
| SHARED_WORKER   | <code>&quot;shared_worker&quot;</code>   |             |
| WEBVIEW         | <code>&quot;webview&quot;</code>         |             |
